# Change Log for core.specs.alpha

## next

* Bump Clojure dependency to 1.10.1

## Version 0.2.44 on Sept 4, 2018

* CLJ-2395: improve path names and predicate names in core specs

## Version 0.2.36 on June 26, 2018

* CLJ-2186: Map bindings should be `:kind map?`
* CLJ-2314: allow string array hinting in genclass return type

## Version 0.1.24 on Aug 10, 2017

* CLJ-2220 - `use` prefix lists were incorrectly spec'ed
* Moved clojure and spec.alpha deps to "provided" scope

## Version 0.1.17 on Aug 9, 2017

* CLJ-2219 - `require` prefix lists were incorrectly spec'ed

## Version 0.1.10 on Apr 26, 2017

* Moved core specs from Clojure
* Renamed core spec namespace to append ".alpha"

